<?php
/**
 * Plugin Name: Dai Pho Keywords Generator
 * Plugin URI: http://www.daipho.com
 * Description: Generate keyword for post content, more word for content. If the content too short, use this plugin to add more keywords for content. Use shortcode [daipho_keywords] in post content or widget. Support Unicode.
 * Version: 1.0.0
 * Author: Dai Pho team
 * Author URI: http://www.daipho.com
 * License: GPL2
 * Copyright 2015 daiphowp
 */
 
if ( is_admin() )
{
	add_action( 'admin_menu', 'daipho_keyword_setting_func' );
	add_action( 'admin_init', 'daipho_keyword_register_func' );
}
function daipho_keyword_setting_func()
{
	add_options_page(
		'Dai Pho Keyword Setting',
		'Dai Pho Keyword Setting',
		'manage_options',
		'daipho_keyword_setting',	//url cho page option tải
		'daipho_keyword_options'	//hàm bên dưới
	);
}

function daipho_keyword_register_func()
{
	register_setting( 'daipho_keyword', 'daipho_keyword_list' );
}


function daipho_keyword_options() {
	if ( !current_user_can( 'manage_options' ) )
	{
		wp_die( __( 'Sorry. You do not have sufficient permissions to access this page.' ) );
	}
	?>
<div class="wrap">
	<form method="post" action="options.php">
		<p style="float:right">Copyright <a href="http://www.daipho.com">Dai Pho</a>.</p>
		<h2>Dai Pho Keyword Setting</h2>
		<p>Keyword generator for post follow title. Input keywords, separated by comma. Ex: add keyword to content, more word for content, include keyword to post,…<br>
Plugin will search word in post title and list keywords match with that word.<br>
Use shortcode <strong class="indam">[daipho_keywords]</strong> in post content or widget.</p>
		<?php
		settings_fields( 'daipho_keyword' );
		do_settings_sections( 'daipho_keyword' );
		?>
		<p><label><b>Input keywords:</b><br>
		<textarea name="daipho_keyword_list" placeholder="Input list keyword"><?php echo esc_attr( get_option('daipho_keyword_list') ); ?></textarea></label></p>
		<?php submit_button(); ?>
	</form>
</div>
<style>
.wrap textarea {width:80%; height:200px; min-width:200px}
.wrap .indam {color:#603913; display:inline-block; margin:0 14px}
</style>
	<?php
}

add_shortcode('daipho_keywords','daipho_keywords');

function daipho_keywords()
{
	$tieude = mb_strtolower( get_the_title() );
	$str_keyword = esc_attr( get_option('daipho_keyword_list') );
	
	$mang_tieude = explode(" ", $tieude);
	$mang_keyword = explode(",", $str_keyword);
	
	$mang_chon = '';
	
	foreach ($mang_keyword as $kw)
	{
		$kw_lw = mb_strtolower ($kw);
		foreach ($mang_tieude as $td)
		{
			$pos = strpos($kw_lw, $td);
			if ($pos !== false)
			{
				$mang_chon .= sprintf('<span class="daipho_keyword">%s</span>, ', $kw);
				break;
			}
		}
	}
	
	return $mang_chon . '<style>.daipho_keyword{display:inline-block; padding:0 6px; margin:0 0 2px 2px; color:#000; background:#eee; border:1px solid#666; border-radius:6px}</style>';
}
?>
